com.mapinfo.midev.dp.tab

## Class NativeDataSourceDefinition

- java.lang.Object
- - com.mapinfo.midev.dp.file.FileDataSourceDefinition
  - - com.mapinfo.midev.dp.tab.NativeDataSourceDefinition

All Implemented Interfaces:
  IDataSourceDefinition

    public final class NativeDataSourceDefinition
    extends FileDataSourceDefinition

A definition for a MapInfo Native Table data source.

### Constructor Summary

Constructors
Constructor and Description
`NativeDataSourceDefinition()` Create the data source definition with no specified connection information.
`NativeDataSourceDefinition(FileConnectionDefinition connectionDefinition)` Create the data source definition with the specified connection information.

### Method Summary

All Methods Instance Methods Concrete Methods
`IDataProvider` `getDataProvider()` References the data provider implementation that supports this datasource type.

### Methods inherited from class com.mapinfo.midev.dp.file.FileDataSourceDefinition

`equals, getConnectionDefinition, hashCode`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NativeDataSourceDefinition

    public NativeDataSourceDefinition()

Create the data source definition with no specified connection information.

#### NativeDataSourceDefinition

    public NativeDataSourceDefinition(FileConnectionDefinition connectionDefinition)

Create the data source definition with the specified connection information.

### Method Detail

#### getDataProvider

    public IDataProvider getDataProvider()

Description copied from interface: `IDataSourceDefinition`
References the data provider implementation that supports this datasource type.

Specified by:
  `getDataProvider` in interface `IDataSourceDefinition`
Overrides:
  `getDataProvider` in class `FileDataSourceDefinition`
Returns:
  the data provider that supports this datasource type.